Package org.apache.solr.common.cloud

# Class PerReplicaStates.Operation

java.lang.Object
org.apache.solr.common.cloud.PerReplicaStates.Operation

Enclosing class:
  `PerReplicaStates`

public static class PerReplicaStates.Operation extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`PerReplicaStates.Operation.Type`

## Field Summary

Fields
Modifier and Type
Field
Description
`final PerReplicaStates.State`
`state`
`final PerReplicaStates.Operation.Type`
`typ`

## Constructor Summary

Constructors
Constructor
Description
`Operation(PerReplicaStates.Operation.Type typ, PerReplicaStates.State replicaState)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### typ

public final PerReplicaStates.Operation.Type typ

### state

public final PerReplicaStates.State state

## Constructor Details

### Operation

public Operation(PerReplicaStates.Operation.Type typ, PerReplicaStates.State replicaState)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`